Saved filters

Save a filter

POST
/v1/saved-filters

Save a named filter for a list target. For a market target, query is the target operation's request body without pagination (e.g. the body you would send to listOriginators) and is validated against it. Limit: 25 per target.

Authorization

x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/saved-filters" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "target": "originators"  }'
{
  "data": {
    "createdAt": "2019-08-24T14:15:22Z",
    "fidelity": "exact",
    "icon": {
      "color": "string",
      "type": "color"
    },
    "id": "string",
    "kind": "filter",
    "name": "string",
    "operationId": "string",
    "query": {
      "property1": null,
      "property2": null
    },
    "queryVersion": 0,
    "stale": true,
    "staleIssues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "target": "originators",
    "uiState": {
      "property1": null,
      "property2": null
    },
    "uiStateVersion": 0,
    "unmapped": [
      "string"
    ],
    "updatedAt": "2019-08-24T14:15:22Z",
    "visibility": "private"
  }
}
{
  "code": "string",
  "error": "string",
  "issues": [
    {
      "message": "string",
      "path": "string"
    }
  ]
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "code": "string",
  "error": "string",
  "issues": [
    {
      "message": "string",
      "path": "string"
    }
  ]
}
{
  "error": "string",
  "limit": 0,
  "size": 0
}